Get order by ID
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"productName": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantName": "<string>",
"amount": 123,
"lineTotal": 123,
"additionalFeePercentage": 123,
"additionalFeeAmount": 123,
"additionalFixedFeeAmount": 123,
"volumeDiscountAmount": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"volumeDiscountValue": 123,
"volumeDiscountTierQuantity": 123,
"customIntervalDays": 123
}
],
"gatewayMetadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"transactionId": "<string>",
"clientSecret": "<string>",
"note": "<string>",
"cryptocurrencyAddress": "<string>",
"cryptocurrencyAmount": 123,
"cryptocurrencyExpiration": "2023-11-07T05:31:56Z",
"cryptocurrencyProcessor": "<string>",
"cryptocurrencyPaymentUri": "<string>",
"gatewaySubscriptionId": "<string>",
"chargeCurrencyCode": "<string>",
"chargeFxRate": 123
},
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"countryCode": "<string>",
"emailAddress": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalLogins": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"application": "<string>",
"userId": "<string>",
"displayName": "<string>",
"emailAddress": "<string>"
}
]
},
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"deliveredItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"source": "<string>",
"textContent": "<string>",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhookExecutionLogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
},
"webhookExecutionLog": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"url": "<string>",
"signature": "<string>",
"requestBody": "<string>",
"retryCount": 123,
"responseCode": 123,
"responseBody": "<string>",
"webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"userAgent": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"status": "<string>",
"gateway": "<string>",
"amount": 123,
"isTopUp": true,
"appliedBalance": 123,
"amountDueToGateway": 123,
"chargeCurrencyCode": "<string>",
"chargeAmountDue": 123,
"platformFee": 123,
"globalGatewayFeePercentage": 123,
"globalGatewayFeeAmount": 123,
"globalGatewayFixedFee": 123,
"globalGatewayFixedFeeAmount": 123,
"realCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currencyCode": "<string>",
"userAgent": "<string>",
"ipAddress": "<string>",
"isDeliveredManually": true,
"isDeliveryItemsLocked": true,
"isCustomerAuthenticated": true,
"isMigrated": true,
"sendReceipt": true,
"source": "<string>",
"isSubscriptionOrder": true,
"isBuyerProtected": true,
"protectionFeeEur": 123,
"protectionFeeNative": 123,
"protectionSellerShareEur": 123,
"protectionKomerzaCutEur": 123,
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"netDecrease": 123,
"code": "<string>",
"couponId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentageDecrease": 123
},
"affiliateDiscount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"netDecrease": 123,
"percentageDecrease": 123
},
"tax": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"taxAmount": 123,
"taxRate": 123,
"taxName": "<string>",
"isReverseCharge": true,
"preTaxAmount": 123,
"taxBehavior": "<string>",
"customerVatId": "<string>"
},
"refund": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"ipAddress": "<string>",
"amount": 123,
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"chargeback": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"status": "<string>",
"reason": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"discordAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discordUserId": "<string>",
"username": "<string>",
"accessToken": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>"
},
"amountPaid": 123,
"balanceTopUpAmount": 123,
"gatewayFee": 123,
"affiliateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"presentmentCurrencyCode": "<string>",
"presentmentFxRate": 123,
"presentmentAmount": 123,
"ipDetails": {
"status": "<string>",
"proxy": true,
"hosting": true,
"mobile": true,
"regionName": "<string>",
"country": "<string>",
"city": "<string>",
"isp": "<string>",
"as": "<string>",
"asname": "<string>"
},
"customFieldAnswers": {},
"deliveredByUserId": "<string>",
"returnUrl": "<string>",
"metadata": {},
"cartRecoverySentAt": "2023-11-07T05:31:56Z",
"renewalForSubscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"protectionFxRate": 123,
"protectionBaseValueEur": 123,
"protectionFeeScheduleVersion": "<string>"
},
"logs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"url": "<string>",
"signature": "<string>",
"requestBody": "<string>",
"retryCount": 123,
"responseCode": 123,
"responseBody": "<string>",
"webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"userAgent": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"ipInfo": {
"status": "<string>",
"proxy": true,
"hosting": true,
"mobile": true,
"regionName": "<string>",
"country": "<string>",
"city": "<string>",
"isp": "<string>",
"as": "<string>",
"asname": "<string>"
},
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeName": "<string>",
"billingInformation": {
"countryCode": "<string>",
"legalEntityType": "<string>",
"taxId": "<string>",
"fullName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>"
},
"deliveredByEmail": "<string>",
"heldKeys": [
{
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"keys": [
"<string>"
]
}
]
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Orders
Get Order
Retrieve order details by ID in the given store.
Requires the stores.orders.view permission.
GET
/
stores
/
{storeId}
/
orders
/
{orderId}
Get order by ID
Order Statuses
View all possible order status values and their meanings
Payment Methods
See supported payment gateways and cryptocurrencies
Authorizations
Your API key goes here
Path Parameters
The ID of the store the order belongs to.
The ID of the order to retrieve.
Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the response details for an order.
Show child attributes
Show child attributes
Last modified on November 27, 2025
⌘I